
/*
// set height of div to full page height on page load
$(document).ready(function() {
        $('#sidebar').height($(document).height());
});

// set height of div to full page height on browser resize
$(window).bind('resize', function() {
        $('#sidebar').height($(document).height());
});
*/

/***********************/


// Your existing JavaScript code...




function sidebarAdjust() {
  if ($(window).width() <= 1024) {
    if (!$('.sidebar').hasClass('collapse')) {
      $('.sidebar').addClass('collapse')
    }
    $('.sidebar').after(`<div class="sidebar-overlay">
      <a class="close-sidebar" href="javascript:void(0)">
        <svg viewBox="0 0 32 32" xmlns="http://www.w3.org/2000/svg"><defs><style>.cls-1{fill:none;stroke-linecap:round;stroke-linejoin:round;stroke-width:2px;}</style></defs><title/><g id="cross"><line class="cls-1" x1="7" x2="25" y1="7" y2="25"/><line class="cls-1" x1="7" x2="25" y1="25" y2="7"/></g></svg>
      </a>
    </div>`);
  }

  if(/Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(navigator.userAgent)){
    $('.sidebar').css('height', ($(window).height() - $('header').height()) + 'px');
  }
}

function requireCSS(url) {
  var head = document.head;
  var link = document.createElement("link");
  link.type = "text/css";
  link.rel = "stylesheet";
  link.href = url;
  head.appendChild(link);
}

function do_clear_filters() {

    // Delete cookies
    create_data_cookie('view_sorting', '', -1);
    create_data_cookie('view_gender', '', -1);
    create_data_cookie('view_age', '', -1);
    create_data_cookie('view_hair', '', -1);
    create_data_cookie('view_bust', '', -1);
    create_data_cookie('view_figure', '', -1);

    // Add parameter to URl & reload
    const urlParams = new URLSearchParams(window.location.search);
    urlParams.set('clear', '1');
    window.location.search = urlParams;
}

function searchbarHeight () {
  $('#search_models_top').css('height',  $('.menu-header').outerHeight() + 'px');
}

$(document).ready(function () {

  if(/Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(navigator.userAgent)){
    $('.sidebar').css('height', ($(window).height() - $('header').height()) + 'px');
  }

  $(window).on('resize', searchbarHeight);
  $(window).on('scroll', searchbarHeight);

  searchbarHeight();
  sidebarAdjust();

  $(document).on('click', '.sidebar-overlay', function () {
    $('body').removeClass('sidebar-active');
    $('.sidebar').addClass('collapse');
  });

  // Filter module
  $(document).on('click', '.widget-accordian .sub-items > li > a', function () {

    $(this).parents('li').find('.item > a > span').text($(this).text());
    $(this).parents('li').find('.item').attr('data-selected', $(this).attr('data-val'));

    // Get selection and option
    var option = $(this).attr('data-type');
    var selected = $(this).attr('data-val');

    // Set hidden input
    $('#filter-' + option).val(selected);

    // Create cookie
    create_data_cookie('view_' + option, selected, 7);

    // Submit form
    $('#cb_filter_form').submit();
  });

  $(document).on('click', '.widget-accordian .item', function () {
    if ($(this).next('.sub-items').is(":visible")) {
      $(this).next('.sub-items').slideUp();
      $(this).parent().removeClass('active');
    } else {
      $(this).next('.sub-items').slideDown();
      $(this).parent().addClass('active');
    }
  });

  $(document).on('click', '.tab-nav > a', function (e) {
    e.preventDefault();
    $('.tab-nav > a').removeClass('active');
    $(this).addClass('active');
    $('.tab-block').removeClass('active');
    $($(this).attr('href')).addClass('active');
  });

  $(document).on('click', '.tab-nav > a', function (e) {
    e.preventDefault();
    $('.tab-nav > a').removeClass('active');
    $(this).addClass('active');
    $('.tab-block').removeClass('active');
    $($(this).attr('href')).addClass('active');
  });

  $(document).on('click', '.model-tab .tab-nav > li > a', function (e) {
    if (!$(this).hasClass('link')) {
        e.preventDefault();
        $('.model-tab .tab-nav > li').removeClass('active');
        $(this).parent('li').addClass('active');
        $('.tab-content').removeClass('active');
        $($(this).attr('href')).addClass('active');
    }
  });

  $(document).on('click', '.lang-chooser .btn', function () {
    $(this).toggleClass('active');
    $(this).next('ul').slideToggle();
  });

  $(document).on('click', '.lang-chooser ul li > a', function () {
    $('.lang-chooser .btn .flag img').attr('src', $(this).data('flag'));
    $('.lang-chooser .btn .lang').text($(this).data('lang'));
    $('.lang-chooser ul').slideUp();
  });

  $(document).on('click', '.thumb-nav > a', function () {
    $('.thumb-nav > a').removeClass('active');
    $(this).addClass('active');
    $('.item-grid').removeClass(['large', 'small', 'medium']);
    $('.item-grid').addClass($(this).data('size'));
    create_data_cookie('view_grid', $(this).data('size'), 7);
  });

  $(document).on('click', '.btn-search-mobile', function () {
    $('.primary-header .col-search').slideToggle();
  });

  $(document).on('click', '.mobile-menu', function () {
    if ($('.sidebar').hasClass('collapse')) {
      $('body').addClass('sidebar-active');
      $('.sidebar').css('display','block');
      $('.sidebar').removeClass('collapse');
      create_data_cookie('hide_sidebar', '0', 7);
      return;
    }
    $('body').removeClass('sidebar-active');
    $('.sidebar').addClass('collapse');
    create_data_cookie('hide_sidebar', '1', 7);
  });

  $(document).on("click", ".scroll-to", function(t) {
        t.preventDefault(), $($(this).attr("href")).length && $("html, body").animate({scrollTop: $($(this).attr("href")).offset().top}, 2e3)
  });

  $('.thumb-nav a').each(function() {
      if ($(this).hasClass('active')) {
          $('.item-grid').removeClass(['large', 'small', 'medium']);
          $('.item-grid').addClass($(this).data('size'));
          create_data_cookie('view_grid', $(this).data('size'), 7);
      }
  });

    // webcams custom page

    if ($('#customChatEmbed').length) {
        var observer = new IntersectionObserver(function(entries, observer) {
            entries.forEach(entry => {
                if (!entry.isIntersecting) {
                    //$('#customFloatingChatEmbed').replaceWith($('#customChatEmbed'));
                    $('#customChatEmbed').css({visibility:'hidden'});
                    $('#customFloatingChatEmbed').show();
                    //modelsGrid.embed();
                    //videojs('videojs').play();
                }
                else {
                    //$('#customChatEmbed').replaceWith($('#customFloatingChatEmbed'));
                    $('#customFloatingChatEmbed').hide();
                    $('#customChatEmbed').css({visibility:'visible'});
                    //modelsGrid.embed();
                    //videojs('videojs').play();
                }
            });
            }
            ,{ root: null,  threshold: 0 }
        );

        observer.observe( document.querySelector('#customChatEmbed') )
    }

    // floating chat embed

    if ($('#floatingChat').length) {
        let embedUrl = $('#floatingChat').data('url') + '?layout=0';
        let site = $('#floatingChat').data('site');
        let nickname = $('#floatingChat').data('nickname');
        let pageTs = $('#floatingChat').data('timestamp');
        let thumb = $('#floatingChat').data('thumb');
        let cookieTs = Cookies.get('timestamp');

        // if page model data is newer than cookie then set
        if (typeof cookieTs == 'undefined' || pageTs > cookieTs) {
            Cookies.set('timestamp', pageTs);
            Cookies.set('site', site);
            Cookies.set('nickname', nickname);
            Cookies.set('thumb',thumb);
        }

        site = Cookies.get('site');
        nickname = Cookies.get('nickname');
        thumb = Cookies.get('thumb');
        embedUrl = embedUrl.replace(':site', site).replace(':nickname', nickname);

        $('#floatingChatImage img').attr('src', thumb);

        $('#floatingChatEmbed').load(embedUrl, function(data) {
            //resizerSetup('floatingChatEmbed');
            $(this).find('iframe').on("load", function() {
                $(this).parent().css("visibility", "visible");
                $(this).parent().find('a').click(function() {
                    $('#floatingChat').hide();
                    $('#floatingChat').html('');
                    $.get('/hideFloatingChat');
                });
            });
        });
    }

    /*
    $('iframe').on("load",function() {
        $(this).parent().css("visibility", "visible");
        $(this).parent().data('chatloaded', 1);
        //$(this).parent().fadeIn('slow');
        //$(this).parent().show();
    });

    $('#floatingChatClose a').click(function() {
        $('#floatingChat').hide();
        $('#floatingChat').html('');
        $.get('/hideFloatingChat');
    });
    */

    page.autoLoadMore();

    if ($('#videojs').length) {
        videojs('videojs').play();
    }

    /*
    $('.discover .thumbs-image').each(function() {
        $(this).height($(this).width() * 0.8);
    });

    var width = $('.tagspage-thumbs').width();
    var thumbs = $('.tagspage-thumbs').first().children().length;
    var cellHeight = width / thumbs * 0.8;

    $('.tagspage-thumbs .thumbs-image').each(function() {
        $(this).height(cellHeight);
    });
    */


    // hide any broken images
    $("img").each(function () {
        var $this = $(this);
        this.onerror = function() {
            $this.hide();
        };
    });
});

function sidebarAjaxLinks()
{
    // turn sidbar clicks into ajax loads

    $('#sidebar.sidebar-desktop a').click(function() {

        if ($(this).parent().hasClass('item')) {
            // this is a pulldown item
            return true;
        }

        // normal page load for discover+multi pages
        let type = $(this).attr('data-type');

        if (type == 'custom' || type == 'multi') {
            return true;
        }

        let url = $(this).attr('href');
        let sep = url.match(/\?/) ? '&' : '?';

        $('.page-content').load(url + sep + 'layout=0', function(html) {
            lazyLoadInstance.update();
            history.pushState({}, null, url);
        });
        return false;
    });
}

function multiEmbedClose(elt)
{
    $div = $(elt).parent().parent();
    $div.html('');
    $div.removeClass('embed');
    $div.css({height:0});
    $div.remove();
    modelsGrid.incrEmbeds(-1);
}

//
// used for the models grid+embed on the custom page
//

modelsGrid = {
    elts: [],
    iter: 0,
    filter: [],
    searchUrl: '',
    embedUrl: '',
    gridSelector: '',
    floatingChatSelector: '',
    floatingChatWidth: '',
    appendChatEmbed: 0,
    numEmbeds: 0,

    init: function(surl, eurl, gsel, lsel, esel, fsel, append) {

        let me = this;
        me.searchUrl = surl.replace(':page', '');
        me.embedUrl = eurl;
        me.gridSelector = gsel;
        me.gridListSelector = lsel;
        me.embedChatSelector = esel;
        me.floatingChatSelector = fsel;
        me.appendChatEmbed = append;
        //me.update();
        me.floatingChatWidth = $(me.floatingChatSelector).width();
        me.pageInit = 0;

        if (me.embedChatSelector != '') {
            me.load(me.searchUrl + '?layout=0');
        }

        $('#customSelectors form').submit(function() {
            me.add('kw', 'kw=' + $('#kw').val());
            return false;
        });

        $('#customSelectors select').change(function() {
            me.add('sort', 'sort=' + $(this).val());
            return false;
        });

        $('#customSelectors a').click(function() {
            if ($(this).attr('id') !== 'toggle') {
            if (!$(this).hasClass('nav')) {
                if ($(this).hasClass('active')) {
                    $(this).removeClass('active');
                    me.remove($(this).data('field'));
                }
                else {
                    $(this).parent().find('a').removeClass('active');
                    $(this).addClass('active');
                    me.add($(this).data('field'), $(this).data('value'));
                }
            }
            }
        });

    },

    next: function() {
        this.iter++;
        if (this.iter >= this.elts.length) this.iter = 0;
        this.embed();
    },

    previous: function() {
        this.iter--;
        if (this.iter < 0) this.iter = this.elts.length-1;
        this.embed();
    },

    random: function() {
        this.iter = Math.floor((Math.random() * this.elts.length));
        this.embed();
    },

    embed: function(i) {
        let me = this;
        let sel = me.embedChatSelector;
        if (typeof i !== 'undefined') {
            if (Number.isInteger(i)) {
                this.iter = i;
            }
            else {
                sel = i;
            }
        }

        // fish
        //alert(this.elts[this.iter]);
        console.log('embed: ' + this.embedUrl + (this.elts[this.iter]).site + '/' + this.elts[this.iter].nickname + '?layout=0');

        $.get(this.embedUrl + (this.elts[this.iter]).site + '/' + this.elts[this.iter].nickname + '?layout=0', function(data) {
            if (me.appendChatEmbed) {
                $(me.embedChatSelector).append(data);
                me.incrEmbeds(1);
            }
            else {
                $(me.embedChatSelector).html(data);
                $(me.floatingChatSelector).html($(me.embedChatSelector).html());
            }
        });

        /*
        $('#customChatEmbed').load(this.embedUrl + (this.elts[this.iter]).site + '/' + this.elts[this.iter].nickname + '?layout=0', function(html) {
            console.log($('#customChatEmbed').html());
            $('#customFloatingChatEmbed').html($('#customChatEmbed').html());
        });
        */

            /*
            let iwidth = $('#customChatEmbed').width();
            let scale = 1 / iwidth * me.floatingChatWidth;
            console.log('embed: width=' + iwidth + ' scale=' + scale);
            $('#customFloatingChatEmbed').width(me.floatingChatWidth);
            $('#customFloatingChatEmbed').children().css("transform", "scale(" + scale + ")");
            $('#customChatEmbed').trigger('resize');
            */

    },

    getEmbedUrl: function() {
        return this.embedUrl;
    },

    incrEmbeds: function(incr) {
        this.numEmbeds += incr;
        if (this.numEmbeds < 0) {
            this.numEmbeds = 0;
    }

     if (this.numEmbeds > 2) {
       $('#multiChatEmbed .embed').css({
             width: '48%',
             'padding-bottom': '27.25%',
             margin: '3px',

             position: 'relative'

         });
        }
        else {
            $('#multiChatEmbed .embed').css({
                width: '100%',
                position: 'relative'
            });
        }

        let width = $('#multiChatEmbed .embed').first().css('width');
        width = width.replace(/px/, '') * '0.75';
        //$('#multiChatEmbed .embed').css({height: width});
      //  console.log('multiChatEmbed height=' + width);
    },


    add: function(key, value)
    {
        this.filter[key] = value;
        console.log('add: ' + key + ' = ' + value);
        this.refresh();
        return false;
    },

    remove: function(key, value)
    {
        this.filter[key] = '';
        this.refresh();
        return false;
    },

    refresh: function()
    {
        modelsGrid.iter = 0;
        var req = this.searchUrl + '?';
        var i=0;
        var qs='';

        for (var k in this.filter) {
            if (this.filter[k] != '') {
                if (i++ > 0) qs += '&';
                qs += this.filter[k];
            }
        }

        //page.setQuery(qs);
        req += qs + '&layout=0';
        page.setQueryString('?' + qs);
        page.setPage(1);
        console.log('refresh: ' + req);
        this.load(req);
    },

    load: function(req)
    {
        let me = this;
        console.log('load: ' + req);
        $(me.gridListSelector).load(req, function(html) {
            me.elts = [];
            lazyLoadInstance.update();

            // should only hit here for page 1 ajax (custompage)
            let pages = html.match(/data\-pages='(\d+)'/)[1];
            if (parseInt(pages) > 0) {
                page.setPages(parseInt(pages));

                // setup the auto loadmore
                page.autoLoadMore();
            }

            if (me.embedChatSelector == '') {
                history.replaceState({}, null, req.replace('&layout=0', ''));
                return;
            }

            // add actions to each cell to switch embed chat
            me.update();

            // load 1st model to chat embed
            if (me.elts.length > 0) {
                if (me.appendChatEmbed == 0) {
                    me.embed();
                }
                else if (me.numEmbeds == 0)  {
                    // else... the chat embed doesnt resize properly wtf
                    setTimeout(function() {
                        me.embed();
                        for (i=1; i<me.appendChatEmbed; i++) {
                            console.log('adding chat embed ' + i);
                            me.embed(i);
                        }
                    }, 500);
                }
            }
        });
    },

    update: function()
    {
        // find all models in the grid
        let me = this;
        $(me.gridListSelector).find(me.gridSelector).each(function(e) {
            me.elts.push({ site: $(this).data('site'), nickname: $(this).data('nickname') });
            $(this).data('index', me.elts.length-1);
            $(this).unbind('click');
            $(this).click(function() {
                me.embed($(this).data('index'));
                return false;
            });
        });
    }
}

//
// used to handle pagination
//

var page = (function () {
    var me = {};
    me.baseUrl = '';
    me.page = 1;
    me.appendSelector = '';
    me.buttonSelector = '';
    me.pages = 0;
    me.layout = '&layout=0';
    me.autoLoad = 0;
    me.queryString = '';

    me.init = function(url, asel, bsel, auto, page, npages) {
        me.baseUrl = url;
        me.appendSelector = asel;
        me.buttonSelector = bsel;
        me.autoLoad = auto;
        me.pages = npages;
        me.page = page;
        if (url.indexOf('?') == -1) {
            me.layout = '?layout=0';
        }
    };

    me.setQueryString = function(qs) {
        this.queryString = qs;
        this.layout = '&layout=0';
    };

    me.setPages = function(npages) {
        me.pages = npages;
    };

    me.setPage = function(page) {
        me.page = page;
    };

    me.loadMore = function () {
        //alert('want page ' + (this.page+1) + ' of ' + this.pages);
        if (this.page++ <= this.pages ) {
            //alert(this.baseUrl.replace(':page', this.page) + this.queryString + this.layout);
            $.ajax({
                url: this.baseUrl.replace(':page', this.page) + this.queryString + this.layout
            }).done(function(html) {
                $(me.appendSelector).append(html);
                if (me.page >= me.pages) $(me.buttonSelector).hide();
                lazyLoadInstance.update();
                modelsGrid.update();
            });
        }
        else {
            //alert('no more pages...');
            $(me.buttonSelector).hide();
        }
    };

    me.getPage = function() {
        return page;
    };

    me.getNextPage = function() {
        //alert(this.baseUrl.replace(':page', this.page+1) + this.queryString);
        return this.baseUrl.replace(':page', this.page+1) + this.queryString;
    };

    me.getPrevPage = function() {
        return this.baseUrl.replace(':page', this.page-1) + this.queryString;
    };

    me.autoLoadMore = function() {
        if ($('#loadmore').length) {

            if (me.observer != null) {
                delete me.observer;
            }

            me.observer = new IntersectionObserver(function(entries, observer) {
                entries.forEach(entry => {
                    if (page.autoLoad && entry.isIntersecting) {
                        page.loadMore();
                    }
                });
                }
                ,{ root: null,  threshold: 0.5 }
            );

            me.observer.observe( document.querySelector('#loadmore') )
        }
    };

    return me; // expose externally
}());

//
// resizer used for chat embeds
//

function resizer(elt, iwidth, iheight) {

	// first scale all children

	var width = $('#' + elt).innerWidth();
	var scale = width / iwidth;

    //if (scale < 1) return;
    console.log('resizer(' + elt + ', ' + iwidth + ', ' + iheight + ') scale=' + scale);
	//console.log('resizer(' + elt + ') scale = ' + width + ' / ' + iwidth + ' = ' + scale);

    console.log(elt + '.height=' + (iheight*scale) + ' width=' + (iwidth*scale));
	$('#' + elt).height(iheight * scale);
    var radius = $('#' + elt + ' iframe').css('border-radius');
	console.log('radius: ' + radius);
    radius = 20;
	console.log('radius setting to: ' + radius/scale);
    $('#' + elt + ' iframe').css('border-radius', radius / scale);

	$('#' + elt).css('border-radius', $('#' + elt).css('border-radius') / scale);
    //$('#' + elt)[0].style.setProperty('height', (iheight * scale) + 'px', 'important');
	$('#' + elt).children().css("transform", "scale(" + scale + ")");

	// next iterate children and modify their y-offsets

	var offset = 0;
    $('#' + elt).children().width(width / scale);

	$('#' + elt).children().each(function() {
		$(this).css({
			'margin-top': parseInt(offset) + 'px',
			'margin-left': parseInt(offset) + 'px'
		});
		offsety = 1 - $(this).height() * (1 - scale);
		offsetx = 1 - $(this).width() * (1 - scale);
	});
}

//
// call resizerSetup() to setup action on any element
//

function resizerSetup(elt) {

	// find the max width of any children and scale to it

	var w = 1;
	var h = $('#' + elt).height();

	$('#' + elt).children().each(function() {
		if ($(this).width() > w) {
			w = $(this).width();
		}
	});

    console.log('resizerSetup(' + elt + ') width=' + w);

	// create a closure to localize the element id if exists

    if ($('#' + elt).length) {
        var t = function() {
            resizer(elt, w, h);
        };

        // call the closure now and on each window resize

        t();
        $(window).resize(t);
        $(document).ready(t);
    }
}

//
// expand height of element to its parent or to full page body and anchor vertically
//

function resizeHeight(elt, anc)
{
    //console.log('resizeHeight(' + elt + ', ' + anc + ')');

	var r = function() {
        //$(elt).height( $(elt).parent().innerHeight() + 'px' );
        //console.log('resizeHeight(' + elt + ') h=' + $(elt).parent().innerHeight() );

        //var ancy = $('#' + anc).offset().top;
        //var anch = $('#' + anc).height();
        //console.log('ancy: ' + ancy + ' anch: ' + anch);

        var body = document.body, html = document.documentElement;
        var height = Math.max( body.scrollHeight, body.offsetHeight, html.clientHeight, html.scrollHeight, html.offsetHeight );
        console.log('resizeHeight: ' + height);
        //$(elt).height(height - ancy - anch - 20);
        $(elt).height(height - 180);

        /*
        if (anc != null) {
          if ($(elt).css('position') == 'absolute') {
            var off = $('#' + anc).offset();
            $(elt).css({top: off.top});
          }
          $(elt).height( $('body').height() - off.top );
          console.log('1:resizeHeight(' + elt + ') h=' + ($('body').height() - off.top) + ' o=' + off.top);
        }
        else {
          $(elt).height( $(elt).parent().innerHeight() + 'px' );
          console.log('2:resizeHeight(' + elt + ') h=' + $(elt).parent().innerHeight() );
        }
        */
	}

    if (window.matchMedia("(orientation: portrait)").matches) {
        r();
        $(window).on("load", r);
        $(window).on("scroll", r);
        $(window).resize(r);
    }
}
